# Created by pyp2rpm-1.0.1
%global pypi_name flake8

Name:           python-%{pypi_name}
Version:        7.1.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        The modular source code checker: pep8, pyflakes and co
License:        MIT
URL:            https://pypi.python.org/pypi/flake8
Source0:        %{pypi_source}
BuildArch:      noarch


%description
Flake8 is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single flake8 script. It displays
the warnings in a per-file, merged output.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        the modular source code checker: pep8, pyflakes and co
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-mccabe
BuildRequires:  python3-pytest-runner
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-flake8-bugbear < 19.8.0-7
Obsoletes:      python3-flake8-bugbear < 19.8.0-7

%description -n python3-%{pypi_name}
Flake8 is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single flake8 script. It displays
the warnings in a per-file, merged output.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%{_bindir}/flake8



%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 7.1.1-2.mga10
+ Revision: 2154430
- rebuild for python 3.13

* Tue Sep 24 2024 papoteur <papoteur> 7.1.1-1.mga10
+ Revision: 2100888
- new version 7.1.1

* Fri Feb 23 2024 daviddavid <daviddavid> 7.0.0-1.mga10
+ Revision: 2043503
- new version: 7.0.0

* Fri Dec 08 2023 wally <wally> 6.1.0-2.mga10
+ Revision: 2015789
- rebuild for py3.12

* Mon Oct 23 2023 kekepower <kekepower> 6.1.0-1.mga10
+ Revision: 2000441
- Update to version 6.1.0

* Wed Sep 14 2022 neoclust <neoclust> 5.0.4-1.mga9
+ Revision: 1887979
- New version  5.0.4

* Sun Mar 27 2022 umeabot <umeabot> 4.0.1-3.mga9
+ Revision: 1829000
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 wally <wally> 4.0.1-2.mga9
+ Revision: 1774217
- loosen mccabe deps

* Sun Feb 13 2022 tmb <tmb> 4.0.1-1.mga9
+ Revision: 1774076
- update to 4.0.1

* Sun Feb 13 2022 tmb <tmb> 3.9.2-3.mga9
+ Revision: 1774029
- rebuild for python 3.10
+ tv <tv>
- Rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 3.9.2-1.mga9
+ Revision: 1743258
- new version 3.9.2

* Mon Mar 15 2021 wally <wally> 3.9.0-1.mga9
+ Revision: 1703064
- new version 3.9.0
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 3.8.4-1.mga9
+ Revision: 1695823
- new version: 3.8.4

* Sun Jul 12 2020 kekepower <kekepower> 3.8.3-1.mga8
+ Revision: 1605693
- Update to version 3.8.3

* Sun Mar 29 2020 wally <wally> 3.7.9-1.mga8
+ Revision: 1562202
- new version 3.7.9

* Sun Feb 16 2020 umeabot <umeabot> 3.7.8-3.mga8
+ Revision: 1530969
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 3.7.8-2.mga8
+ Revision: 1437949
- rebuild for python3.8
- drop python2 support
+ daviddavid <daviddavid>
- new version: 3.7.8

* Thu Mar 21 2019 shlomif <shlomif> 3.7.7-2.mga7
+ Revision: 1379327
- Rebuild for new entrypoints, pycodestyle
+ daviddavid <daviddavid>
- new version: 3.7.7

* Sat Jan 05 2019 wally <wally> 3.6.0-3.mga7
+ Revision: 1349759
- rebuild for python3.7

* Sun Dec 16 2018 kekepower <kekepower> 3.6.0-2.mga7
+ Revision: 1341547
- Rename python-flake8 to python2-flake8
- Use python_provide

* Sun Nov 11 2018 shlomif <shlomif> 3.6.0-1.mga7
+ Revision: 1329604
- New version 3.6.0

* Thu Sep 20 2018 umeabot <umeabot> 3.5.0-2.mga7
+ Revision: 1288897
- Mageia 7 Mass Rebuild

* Sat Dec 02 2017 shlomif <shlomif> 3.5.0-1.mga7
+ Revision: 1180696
- add dep
- New version 3.5.0

* Sat Aug 05 2017 pterjan <pterjan> 2.5.4-6.mga7
+ Revision: 1135426
- Rebuild for python 3.6

* Thu Oct 06 2016 daviddavid <daviddavid> 2.5.4-5.mga6
+ Revision: 1059267
- let the python3 subpackage use flake8 as default name as enki is a python3
  package and is the only one who needs the binary flake8 (mga#19545#c6)

* Thu Oct 06 2016 daviddavid <daviddavid> 2.5.4-4.mga6
+ Revision: 1059201
- let setuptools generate the auto-required pythonegg files

* Thu Oct 06 2016 daviddavid <daviddavid> 2.5.4-3.mga6
+ Revision: 1059192
- rename flake8 binary to python3-flake8 for python3 subpackage (mga#19545)
- fix some ownership dir

* Wed Apr 20 2016 dglent <dglent> 2.5.4-2.mga6
+ Revision: 1003680
- Use python3 executable (for enki 3.0.0)

* Wed Mar 16 2016 tv <tv> 2.5.4-1.mga6
+ Revision: 992205
- new release

* Sat Dec 19 2015 dglent <dglent> 2.5.1-1.mga6
+ Revision: 911840
- imported package python-flake8

